Category: UI Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

I suggest to delete a bookmark "New issue" from the project interface.

It is more logical, if the new problem can be added directly from the task list.

The page "New issue" will appear on a clique on an icon in the task list.

Related issues:

Related to Redmine - Feature #4423: Suppress New Issue if no tracker is selected Closed 2009-12-16

Related to Redmine - Feature #6658: Location of "New Issue" menu item Closed 2010-10-13

Related to Redmine - Feature #1003: Allow "New Issue" from anywhere Closed 2008-04-05

Related to Redmine - Feature #481: Shortcut to create new issue Closed

Related to Redmine - Feature #15880: Consistent, global button/menu to add ne... Closed

Related to Redmine - Defect #23410: Error if create new issue and there is no... Closed

Has duplicate Redmine - Feature #7714: It seems that the "New Issue" tab shou... Closed 2011-02-24

Has duplicate Redmine - Feature #12469: Alternate New Issue invocation Closed

Associated revisions

Revision 15344 - 2016-04-19 20:37 - Jean-Philippe Lang

Removed the "New issue" menu item (#6204).

Revision 15345 - 2016-04-19 20:40 - Jean-Philippe Lang

Adds a "New issue" link on the global issue list (#6204).

Revision 15407 - 2016-05-09 19:16 - Jean-Philippe Lang

Restores the "New issue" tab in the project menu and makes it optional (#6204).

Revision 15408 - 2016-05-09 19:17 - Jean-Philippe Lang

Adds setting_new_project_issue_tab_enabled i18n string (#6204).

History

#1 - 2010-08-25 03:06 - Alexander A

 Redmine_-_Redmine_1282697052356.png 

 Redmine_-_Issues_-_Redmine_1282697598310-2_копия.png 

#2 - 2010-08-25 07:39 - Jean-Baptiste Barth

Same request for a client: people don't understand why "new issue" position differs from all other elements. If I remember correctly, Shane&Peter

design also put it elsewhere on the page, as a big green "New Issue" button.

Maybe we could simply add the links on issue page, and let theme designer decide where this item should go by hiding it where they want. What do

you think ?

#3 - 2010-08-25 07:40 - Jean-Baptiste Barth

- Category set to UI

#4 - 2010-08-25 15:36 - Alexander A

- File Redmine_-_Issues_-_Redmine_1282743461818.png added
#5 - 2010-08-25 15:39 - Alexander A

I think what is it the menu for the project:

 Redmine_-_Issues_-_Redmine_1282743461818.png 

It is here again illogical to place a new issue.

#6 - 2010-08-25 16:06 - Alexander A

- File iss.png added

#7 - 2010-08-25 16:06 - Alexander A

And the area for issues, files, news UI and others is in a light field on this image:

 iss.png 

#8 - 2010-09-29 17:26 - Terence Mill

+1

#9 - 2010-10-20 13:21 - Jean-Philippe Lang

See #1003 too.

#10 - 2010-11-05 14:10 - Alexander A

Jean-Philippe Lang wrote:

See #1003 too.

 And someone will want the New document or the New file list were always accessible to addition and then the global menu of the project will turn to

not clear. And it will break structure and logic of elements of the menu.

The decision can be such:

1. The button to Add a issue to make as here: Feature #6204

2. To make adjusted area "the Adjusted menu" where the user can add menu points at own discretion: the New document, the New file, the New

issue and others.

#11 - 2011-02-24 19:03 - Jean-Philippe Lang

- Subject changed from delete bookmark "New issue" to Remove "New issue" menu item

#12 - 2011-03-03 14:44 - Alejandro Scandroli

Remove "New issue" menu item

+1

#13 - 2011-07-30 23:56 - Seth Sandler

What's the status of this? Is there a way to remove the 'new issues' tab and place a button the 'issues' page?

#14 - 2011-07-31 00:50 - Seth Sandler

- File index.rhtml added

This is a hack, but for people without other options you can try this. I'm uploading the index.rhtml file that should be placed in app\views\issues\ folder.

This adds the 'new issue' button in the proper place (like other documents page).

Then to hide the 'new issues' button, I just put this in my theme's application.css

a.new-issue {

      visibility: hidden;

      width: 0px;

      margin: 0px;

      position: absolute;

  }

 It's not ideal, but it works.

#15 - 2013-06-01 17:47 - Miko Kinski

I imagine that some people would argue about one more click. They would have to click on Issues and than creating actually a new issue.

Nice thing would be to have the possibility to create a New Issue from "View all issues" actually. If this would be possible under Issues tab it would be

also great to have it on the all issues view. In this case it would be globally and similar to moving issue to different project where you can select the
project for the issue.

#16 - 2013-06-02 15:05 - Alexander A

- File 4e2e3c2da0a518329de88dcd9603394e.png added

#17 - 2013-06-02 15:07 - Alexander A

I think that reducing of the clicks needed another way, without disturbing logic.

For example - to add the ability to sort the tabs modules. Then you can sort the first tab the "issues" and a single click will be less.

And the fact that the tab "New issue" to remove in the project interface, proves this screenshot:

 4e2e3c2da0a518329de88dcd9603394e.png 

We see that the "New issue" can not be disabled, so the tab is illogical.

#18 - 2013-06-02 15:49 - Ivan Cenov

I think it is appropriate to add new item in the context menu of issues' list: "New issue".

#19 - 2013-06-02 17:34 - Alexander A

I doubt it - the context menu is the context of the issue. If the issues list is empty, and the menu is not.

#20 - 2013-06-02 17:44 - Alexander A

Miko Kinski wrote:

Nice thing would be to have the possibility to create a New Issue from "View all issues" actually. If this would be possible under Issues tab it

would be also great to have it on the all issues view. In this case it would be globally and similar to moving issue to different project where you

can select the project for the issue.

 +1

#21 - 2015-07-27 05:54 - Go MAEDA

- Related to Feature #15880: Consistent, global button/menu to add new content added

#22 - 2016-03-21 12:40 - Go MAEDA

- Has duplicate Feature #12469: Alternate New Issue invocation added

#23 - 2016-04-19 20:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

- Resolution set to Fixed

Menu item removed in r15344 and replaced with a link on the issue list.

Miko Kinski wrote:

Nice thing would be to have the possibility to create a New Issue from "View all issues" actually.

 The "New issue" link is added to the global issue list in r15345.

#24 - 2016-05-08 17:27 - Go MAEDA

- Status changed from Closed to Reopened

Since Jean-Philippe Lang decided not to implement global add button (#15880) in Redmine 3.3.0 (#15880#note-33), I think we have to revert the

changes in r15344 to recover "New issue" tab. (No need to revert r15345).

In my opinion, "New issue" tab should not be removed without implementing #15880.

#25 - 2016-05-09 19:20 - Jean-Philippe Lang

- Subject changed from Remove "New issue" menu item to Make the "New issue" menu item optional

- Status changed from Reopened to Closed
In my opinion, "New issue" tab should not be removed without implementing #15880.

 The removal of the menu item was intially requested without the need of #15880.

Many would miss it anyway so I've restored it but it's now optional (Settings -> Display -> Display the "New issue" tab)

#26 - 2016-05-10 01:54 - Go MAEDA

Jean-Philippe Lang wrote:

The removal of the menu item was intially requested without the need of #15880.

Many would miss it anyway so I've restored it but it's now optional (Settings -> Display -> Display the "New issue" tab)

 Great! Thanks a lot.

#27 - 2016-08-18 13:43 - Toshi MARUYAMA

- Related to Defect #23410: Error if create new issue and there is no project added

#28 - 2017-03-09 07:32 - Felix Wolfsteller

I see why the "New Issue" tab was removed and the "+" added, but I am unhappy with the choice made regarding configuration of those.  I would like

to have a third option, "Show both", so that Users will see the "Add New"+ AND the "New Issue" (which is quick and can be found with CTRL-F, which

is always an indication for a good solution).  Should I open a new issue for that?

#29 - 2017-03-09 10:15 - Go MAEDA

Felix Wolfsteller wrote:

I see why the "New Issue" tab was removed and the "+" added, but I am unhappy with the choice made regarding configuration of those.  I would

like to have a third option, "Show both", so that Users will see the "Add New"+ AND the "New Issue" (which is quick and can be found with

CTRL-F, which is always an indication for a good solution).  Should I open a new issue for that?

 Yes, could you open a new issue?

This issue cannot be reopened because the feature has already been delivered in Redmine 3.3.0.
